FLANG

Public Types | Public Member Functions | List of all members
Fortran::common::Interval< A > Class Template Reference

## Public Types
using | type = A

## Public Member Functions
constexpr | Interval (const A &s, std::size_t n=1)
constexpr | Interval (A &&s, std::size_t n=1)
constexpr | Interval (const Interval &)=default
constexpr | Interval (Interval &&)=default
constexpr Interval & | operator= (const Interval &)=default
constexpr Interval & | operator= (Interval &&)=default
constexpr bool | operator< (const Interval &that) const
constexpr bool | operator<= (const Interval &that) const
constexpr bool | operator== (const Interval &that) const
constexpr bool | operator!= (const Interval &that) const
constexpr bool | operator>= (const Interval &that) const
constexpr bool | operator> (const Interval &that) const
constexpr const A & | start () const
constexpr std::size_t | size () const
constexpr bool | empty () const
constexpr bool | Contains (const A &x) const
constexpr bool | Contains (const Interval &that) const
constexpr bool | IsDisjointWith (const Interval &that) const
constexpr bool | ImmediatelyPrecedes (const Interval &that) const
void | Annex (const Interval &that)
bool | AnnexIfPredecessor (const Interval &that)
void | ExtendToCover (const Interval &that)
std::size_t | MemberOffset (const A &x) const
A | OffsetMember (std::size_t n) const
constexpr A | Last () const
constexpr A | NextAfter () const
constexpr Interval | Prefix (std::size_t n) const
Interval | Suffix (std::size_t n) const
constexpr Interval | Intersection (const Interval &that) const

The documentation for this class was generated from the following file:

- include/flang/Common/interval.h